> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses attachmentsupload



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/attachments/upload
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/attachments/upload:
    post:
      tags:
        - BusinessAttachments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                files:
                  type: array
                  items:
                    type: string
                    format: binary
            encoding:
              files:
                style: form
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBAttachmentResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBAttachmentResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBAttachmentResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    DTOSBAttachmentResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        fileName:
          type: string
          nullable: true
        originalFileName:
          type: string
          nullable: true
        fileSize:
          type: integer
          format: int64
        versionId:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        thumbnailUrl:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````